%==========================================================================
%
%                       ANALYSIS RESULT PROCESSING
%
%==========================================================================
clear; clc; close all;
%==========================================================================
load data_dt.mat ; % Call dt data-structure

fid3 = fopen ('Summary.out','w'); 
fprintf(fid3,' GM No  nData     dt   PGA(g) PGV(cm/s)  PGD(cm) \n');

output = input('Output plots to screen (y/n): ', 's');

for GM=1:25;
    fprintf('GM in process = %5i\n',GM);
    ch1=num2str(GM);
    fname = strcat('M_',ch1,'.tcl');
%------------------- Velocity and Displacement ---------------------
    int = data(GM);
    acc = load(fname);
    vel = cumsum(acc)*int;
    disp= cumsum(vel)*int;
    t = 0:int:length(acc)*int-int; % duration
    max_acc = max(abs(acc/386.2)); % inch/sec^2 to g
    max_vel = max(abs(vel*2.54));  % inch/s to cm/s
    max_disp = max(abs(disp*2.54));  % inch to cm

    npoint_data(GM) = length(acc);
%------------------- Plotting --------------------------------------
if(output == 'y')
    figure(GM);
    subplot(3,1,1); plot(t,acc);
    grid; zoom on; 
    ylabel('Acc. (in/sec^2)'); 
    axis([0 max(t) min(acc) max(acc)]);

    subplot(3,1,2);plot(t,vel); grid; zoom on;
    ylabel('Vel. (in/sec)'); 
    axis([0 max(t) min(vel) max(vel)]);

    subplot(3,1,3); plot(t,disp,'r'); grid; zoom on;
    ylabel('Disp. (in)'); xlabel('Time (sec)');
    axis([0 max(t) min(disp) max(disp)]);
end
fprintf(fid3, '%4i    %5i  %5.3f   %5.2f     %5.2f    %5.2f \n',GM, npoint_data(GM), int, max_acc, max_vel, max_disp);

end % GM
fclose(fid3);
%save data_dt dt_data
save data_npoint npoint_data


        
        
        
      

